<?php

/**
 * Renderer class for all In-Place Editor (IPE) Plus behavior.
 */
class panels_renderer_ipep extends panels_renderer_ipe {  
  function add_meta() {
    parent::add_meta();
    
    // @todo this actually should be an IPE setting instead.
    if (user_access('create panopoly_news_article content')) {
      $button = array(
        '#type' => 'link',
        '#title' => t('Add more content'),
      	'#module' => 'panopoly_news',
        '#href' => 'node/add/panopoly-news-article',
        '#id' => 'panels-ipe-add-new-content',
        '#attributes' => array(
          'class' => array('panels-ipe-add-content', 'panels-ipe-pseudobutton'),
        ),
        // @todo eventually put this in ctools popup with selection for all content types
        //'#ajax' => array(
        //  'progress' => 'throbber',
        //  'ipe_cache_key' => $this->clean_key,
        //),
          '#prefix' => '<div class="panels-ipe-pseudobutton-container">',
          '#suffix' => '</div>',
        );
      
      panels_ipe_toolbar_add_button($this->clean_key, 'panels-ipe-add-content', $button);
    }
    
    // @todo probably need a configure app permission?
    if (user_access('administer site')) {
      $button = array(
        '#type' => 'link',
        '#title' => t('Configure Panopoly News'),
      	'#module' => 'panopoly_news',
        '#href' => $this->get_url('apps_config_form'),
        '#id' => 'panels-ipe-configure-app',
        '#attributes' => array(
          'class' => array('panels-ipe-startedit', 'panels-ipe-pseudobutton'),
        ),
        '#ajax' => array(
          'progress' => 'throbber',
          'ipe_cache_key' => $this->clean_key,
        ),
          '#prefix' => '<div class="panels-ipe-pseudobutton-container">',
          '#suffix' => '</div>',
        );
      
      panels_ipe_toolbar_add_button($this->clean_key, 'panels-ipe-configure-app', $button);
    }
    
    ctools_add_css('panopoly_news', 'panopoly_news');
  }
  
  function ajax_apps_config_form($pid = NULL) {
    if ($this->ipe_test_lock('apps_config_form', $break)) {
      return;
    }
  
    $form_state = array(
      'display' => &$this->display,
      'pane' => &$pane,
      'ajax' => TRUE,
      'title' => t('Configure Panopoly News App'),
    );
  
    $output = ctools_modal_form_wrapper('panopoly_news_apps_config_form', $form_state);
    if (empty($form_state['executed'])) {
      $this->commands = $output;
      return;
    }
  
    panels_edit_cache_set($this->cache);
    $this->command_update_pane($pid);
    $this->commands[] = ctools_ajax_command_reload(); 
  }
}